Edited at

Xcode7.1でのCarthageでModule file was created by an older version of the compiler;...

More than 3 years have passed since last update.


Xcode7.1でのCarthageの利用時にエラー

Xcode7.1で

Module file was crashed by an older version of the compiler; rebuild 'Hogehoge' and try again: /Users/path/to/Carthage/Build/iOS/Hogehoge.framework/Modules/Hogehoge.swiftmodule/x86_64.swiftmodule

というエラーがでました。


対応策

ライブラリがXcode7.1でビルドされていないため、バージョンの違いにより利用できないっぽいです。

ライブラリが対応するまではCocoapodsなどに切り替えましょう。